#
# spec file for package python-poppler-qt5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 LISA GmbH, Bingen, Germany.
# Copyright (c) 2012 Johannes Engel <jcnengel@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-poppler-qt5
BuildRequires:  libpoppler-qt5-devel
BuildRequires:  python3-qt5-devel
Summary:        Python binding to poppler-qt5
License:        LGPL-2.1+
Group:          Development/Languages/Python
Version:        0.25.0
Release:        lp151.2.4
Url:            https://github.com/zehome/python-poppler-qt5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.gz
Obsoletes:      python-poppler-qt4

%description
Python binding to poppler-qt5


%prep
%setup -q

%build
export PATH=/usr/%_lib/qt5/bin:$PATH
python3 setup.py build

%install
export PATH=/usr/%_lib/qt5/bin:$PATH
python3 setup.py install --prefix=%{_prefix} --root="%{buildroot}"

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README.rst TODO
%{python3_sitearch}/popplerqt5*.so
%{python3_sitearch}/python_poppler_qt5*.egg-info

%changelog
* Thu Mar 23 2017 cornelis@solcon.nl
- Change RPM Group to Development/Languages/Python
* Wed Jan 25 2017 cornelis@solcon.nl
- Switch to the zehome fork, which is better maintained at the
  moment and use released tarball.
* Tue Jan 24 2017 cornelis@solcon.nl
- Update to git to get necessary fixes
* Mon Jan 23 2017 cornelis@solcon.nl
- Initial package, replaces python-poppler-qt4
